<?php

namespace QUI\RabbitMQServer\Cron;

use QUI;
use QUI\RabbitMQServer\HeartbeatService;

class HeartbeatCheck
{
    public static function execute(): void
    {
        $heartbeatService = new HeartbeatService();
        $heartbeatFound = $heartbeatService->checkHeartbeat();

        if ($heartbeatFound) {
            return;
        }

        $mailer = QUI::getMailManager()->getMailer();
        $mailer->addRecipient(QUI::conf('mail', 'admin_mail'));
        $mailer->setSubject("Task-System: Heartbeat not found");
        $mailer->setBody("Heartbeat not found for " . QUI::conf('globals', 'host') . "! Please check the logs.");

        try {
            $mailer->send();
        } catch (\Exception $exception) {
            QUI\System\Log::writeException($exception);
        }
    }
}
